Bug 140013

Summary: unreadable ISO images are treated as non-ISO image
Product: k3b Reporter: Joachim Reichel <joachim.reichel>
Component: Image FormatsAssignee: Sebastian Trueg <trueg>
Status: RESOLVED FIXED    
Severity: normal    
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Debian testing   
OS: Linux   
Latest Commit: Version Fixed In: 2.1

Description Joachim Reichel 2007-01-13 12:41:34 UTC
Version:           0.12.17 (using KDE KDE 3.5.5)
Installed from:    Debian testing/unstable Packages
OS:                Linux

k3b does not detect that the user does not have read permission for an ISO image, instead it reports "Not an Iso9660 image". I checked only DVD ISO images, maybe this also happens for CD ISO images, or other file types (CUE sheets, ...).
Comment 1 markuss 2010-03-16 15:39:16 UTC
In an attempt to clean up old bugs that are not valid for K3b 2.0 (=KDE SC 4.x port) anymore, this is now being marked as UNMAINTAINED.
If this bug is still valid for 2.0, please reopen it.
Comment 2 Joachim Reichel 2012-01-05 20:52:11 UTC
Just noticed that the "bug" is still present in k3b 2.0.1. While the message "Seems not to be a usable image." is technically not wrong, it would be nice if it would say something like "Insufficient permissions" since otherwise the user might think this type of image file is not supported, or the file is corrupted, or ...
Comment 3 Alex Merry 2013-03-18 16:33:47 UTC
Git commit 03d562fd6ced51c854516cd8eb13284a59b0f4c5 by Alex Merry.
Committed on 18/03/2013 at 16:47.
Pushed by alexmerry into branch 'master'.

If we cannot read an image file at all, tell the user this

This allows the user to distinguish between the file being corrupt and
the permissions being incorrect.
FIXED-IN: 2.1

M  +5    -1    src/misc/k3bimagewritingdialog.cpp

http://commits.kde.org/k3b/03d562fd6ced51c854516cd8eb13284a59b0f4c5